Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I've got a fresh Redhat Enterprise 6.2 64-bit instance on EC2. I've turned off the firewall and have installed an FMS 4.5 dev server.

The FMS install failed, complaining about a missing libcap.so until I installed the libcap.i686 package. The following libcap packages are now installed:

libcap.i686                 2.16-5.5.el6        @rhui-us-east-1-rhel-server-releases
libcap.x86_64               2.16-5.5.el6        @koji-override-0/$releasever
libcap-ng.x86_64            0.6.4-3.el6_0.1     @koji-override-0/$releasever
libpcap.x86_64              14:1.0.0-6.20091201git117cb5.el6

In the logs directory I have admin and master logs (only). The admin logs look ok:

#Fields: date   time    x-pid   x-status    x-ctx   x-comment
2012-02-29  09:24:26    1144    (i)2581173  FMS detected IPv6 protocol stack!   -
2012-02-29  09:24:26    1144    (i)2581173  FMS config <NetworkingIPv6 enable=false>    -
2012-02-29  09:24:26    1144    (i)2581173  FMS running in IPv4 protocol stack mode!    -
2012-02-29  09:24:26    1144    (i)2581173  Host: ip-10-204-143-55 IPv4: 10.204.143.55  -
2012-02-29  09:24:26    1144    (i)2571011  Server starting...  -
2012-02-29  09:24:26    1144    (i)2631174  Listener started ( FCSAdminIpcProtocol ) : localhost:11110/v4   -
2012-02-29  09:24:27    1144    (i)2631174  Listener started ( FCSAdminAdaptor ) : 1111/v4  -
2012-02-29  09:24:28    1144    (i)2571111  Server started (./conf/Server.xml). -

I can't connect an RTMP client to the FMS. The master logs contain these lines, repeating every 5 seconds:

2012-02-29  10:43:17    1076    (i)2581226  Edge (2790) is no longer active.    -
2012-02-29  10:43:17    1076    (w)2581255  Edge (2790) _defaultRoot__edge1 experienced 1 failure[s]!   -
2012-02-29  10:43:17    1076    (i)2581224  Edge (2793) started, arguments : -edgeports ":1935,80" -coreports "localhost:19350" -conf "/opt/adobe/fms/conf/Server.xml" -adaptor "_defaultRoot_" -name "_defaultRoot__edge1" -edgename "edge1".  -
share|improve this question

3 Answers 3

up vote 2 down vote accepted

According to adobe's website http://www.adobe.com/products/flash-media-streaming/tech-specs.html FMS requires Red Hat® Enterprise Linux® Server 5.5 (64 bit) or Linux CentOS 5.5 (64 bit)

Most likely the problem is that the version of libcap in RHEL 6.2 is more recent and the FMS is not finding the file its looking for.

I recommend contacting Adobe's support to see if you can install it on RHEL 6.2 or you can try using an older version of RHEL in amazon. I believe they have AMI's for almost any version you're looking for.

share|improve this answer
    
Thanks, don't know how I missed that. –  edoloughlin Feb 29 '12 at 20:19
    
Not so easy to find RHEL 5.5 on AWS. I ended up with CentOS. –  edoloughlin Mar 2 '12 at 12:08
    
Sounds like you already got it set up but here's the two RHEL 5.5 from amazon. ami-2d8e4c44 RHEL 5.5 Starter EBS i386 AND ami-a95390c0 RHEL 5.5 Starter EBS x86. To find these log into the amazon console. Launch Instance -> Classic mode -> Community AMI -> Search = RHEL-5.5 –  bwight Mar 2 '12 at 14:40

Good, easy to follow instructions for installing on RHEL/CentOS 6 were posted by a community member on the FMS discussion forums here. Please note that it is indeed unsupported. But it works.

share|improve this answer
1  
In addition to those instructions, I had to yum install libcap.i686 before running the edited installFMS file (CentOS 6.2) –  Eric Hu Aug 3 '12 at 22:35

I had the same problem (though not with Amazon), and thought I'd chime in with our solution.

We actually installed FMS 3.5 onto CentOS 6. This is 32bit only, so our problems were even deeper. We had to get the initial libraries in place, then diagnose by running fmsmaster manually to see which libraries were causing conflicts. We then copied 32bit libraries from our previous CentOS 5.x / 32bit system to solve the problem.

The biggest problem was that the logs were empty, and only manual execution showed up issues. Here were our steps (I'm sure FMS 4.x will differ slightly):

1. yum install libstdc++.so.5
2. yum install seamonkey
3. yum install libstdc++-4.4.7-4.el6.i686
4. ./installFMS -platformWarnOnly
5. Discover missing dependencies: ldd ./fmsmaster
6. Locate missing libs: e.g. yum whatprovides libstdc++.so.6
7. Copy 32bit libplc4.so, libcap.so.1, libnspr4.so, libplds4.so

Although this discussion is two years old, as more people install RHEL/CentOS 6 64bit more admins will be finding more of these problems and this discussion (like myself).

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.